# by plushpuffin@wwddfd.com
# Dropdown List Modification Assistant Addon
push(@Addons_Loaded, 'DropMod 2.0');
push(@Addons_PageHandler, 'DropModPageHandler');
push(@Addons_MainPage, 'DropMod_MainPage');
push(@Addons_NPHTMLFoot, 'DropMod_HTMLFoot');
if( $NPConfig{'DropMod_Show'} ) {
	push(@Addons_NPHTMLHead,'DropModList');
}
$Addons_List{'DropMod 2.0'} = ['npa_dropmod.pl', 'Dropdown list of news items for easy selection and modification - by <a href="mailto:plushpuffin@wwddfd.com">plushpuffin</a>'];

sub DropModPageHandler {
	if ($qstring eq 'dropmod') {
		if( $in{'nonshow'} || $in{'yesshow'} ) {
			$NPConfig{'DropMod_Show'} = exists $in{'yesshow'} ? 1 : 0;
			&WriteConfigInfo;
		}
		&DropModMain;
		exit;
	}
}

sub DropMod_HTMLFoot {
	print qq~ <a href="$scripturl?dropmod" class="navlink">DropMod</a> |~;
}

sub DropMod_MainPage {
	print qq~
	<b><a href="$scripturl?dropmod">DropMod</a>:</b> Access news items for modification via a dropdown list. by <a href="mailto:plushpuffin\@wwddfd.com">plushpuffin</a><br><br>
	~;
}

sub DropModList {
	&loadND;
	print qq~<div align="center"><form action="$scripturl?dropmod" method="post">
	<select name ="dropmodsel" class="select">
	~;
	my $newsnum = @NewsData - 1;
	my $nncount = 0;
	while( $newsnum >= 0 ) {
		getNDvar($newsnum);
		if ($up >= 2 || $newsname eq $Cookies{'uname'}) {
			print qq~<option value="$newsnum">$newssubject</option>~;
			$nncount++;
		}
		$newsnum--;
	}
	unless ($nncount) {
		print qq~</select></form><b>You do not have permission to modify any news items.</b></div>~;
	}
	else {
		print qq~
	</select>
	<input type="submit" name="dropmodsubmit" value="Edit Selected Newsitem">
	</form></div>
	~;
	}
}

sub DropModMain {
	if ($in{'dropmodsubmit'}) {
		$NPConfig{'Modify_ItemsPerPage'} = 1;
		&RemoveNews( $in{'dropmodsel'} );
		exit;
	}
	my( $yesno, $val, $message );
	if( $NPConfig{'DropMod_Show'} ) {
		$yesno = 'nonshow';
		$val = 'Click Here to Disable DropMod';
		$message = 'DropMod is Currently Enabled';
	}
	else {
		$yesno = 'yesshow';
		$val = 'Click Here to Enable DropMod';
		$message = 'DropMod is Currently Disabled';
	}
	&NPHTMLHead("DropMod Selection Page");
	print q~
	<div align="center"><h3>NewsPro Dropdown Modification</h3><br>
	written by <a href="mailto:plushpuffin@wwddfd.com">plushpuffin</a><br>
	<a href="http://www.wwddfd.com">plushpuffin's perl garden</a><br><br>
	~;
	if( $in{'nonshow'} || $NPConfig{'DropMod_Show'} && ! $in{'yesshow'} ) {
		print q~Select from the list at the top of the screen. (displaying it this way saves time and bandwidth)~;
	}
	else {
		&DropModList;
	}
	print qq~
	<BR><BR><form action="$scripturl?dropmod" method="post"><input type="submit" name="$yesno" value="$val"><BR>
	<h4>$message</h4><BR>
	This option will show DropMod on every page so you can easily find just the right newsitem to modify<BR>
	This is not recommended for large sites because it involves loading the news database at every page.<BR>
	If you notice your site is unusually slow, you should probably disable this option.
	</form>
	</div>
	~;
	if( $in{'yesshow'} || $in{'nonshow'} ) {
		print q~<div align="center"><h5>You have changed the above option for DropMod. The change will take effect when you refresh the page.</h5></div>~;
	}
	&NPHTMLFoot;
}
1;